Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Abhängigkeiten hebeln Umkehrparameter aus / Dyn. Beschriftungsblock

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Abhängigkeiten hebeln Umkehrparameter aus / Dyn. Beschriftungsblock (1434 mal gelesen)
cockpit
Mitglied
Bauing.


Sehen Sie sich das Profil von cockpit an!   Senden Sie eine Private Message an cockpit  Schreiben Sie einen Gästebucheintrag für cockpit

Beiträge: 263
Registriert: 27.06.2008

Dell Precision T1700
Intel Core i7-4790 Core 3.60 GHz / 8 GB RAM
Grafikkarte: AMD FirePro W4100 (FireGl V)
Win 10 64 bit
Acad 2018 / Soficad 2018 20.1

erstellt am: 07. Jul. 2016 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,

ich bastel seit gestern an oben genannten Block (mit 1.polaren Streckungsparameter),
der Text ist verschiebar, während die Pfeilspitze sich immer wieder auf die Hilfslinie ausrichtet,
doch beim Umkehrparameter (spiegeln) zeigt die Pfeilspitze in die falsche Richtung.

Hat jemand eine Idee  

LG Pit

[Diese Nachricht wurde von cockpit am 07. Jul. 2016 editiert.]

[Diese Nachricht wurde von cockpit am 07. Jul. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cockpit
Mitglied
Bauing.


Sehen Sie sich das Profil von cockpit an!   Senden Sie eine Private Message an cockpit  Schreiben Sie einen Gästebucheintrag für cockpit

Beiträge: 263
Registriert: 27.06.2008

Dell Precision T1700
Intel Core i7-4790 Core 3.60 GHz / 8 GB RAM
Grafikkarte: AMD FirePro W4100 (FireGl V)
Win 10 64 bit
Acad 2018 / Soficad 2018 20.1

erstellt am: 07. Jul. 2016 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


T_Schweissnahtblock.dwg

 
...habe Block geändert u. aktualisiert!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kuschelfee
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Kuschelfee an!   Senden Sie eine Private Message an Kuschelfee  Schreiben Sie einen Gästebucheintrag für Kuschelfee

Beiträge: 186
Registriert: 07.05.2007

Windows 10 Pro
AutoCAD 2022.1.3
Soficad 2022-4
Advance Steel 2022.1.3

erstellt am: 07. Jul. 2016 11:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cockpit 10 Unities + Antwort hilfreich

Bemaßungsparameter können nicht zusammen mit Aktionsparameter verwendet werden.
Abhängigkeiten lassen sich nicht spiegeln.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kuschelfee
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Kuschelfee an!   Senden Sie eine Private Message an Kuschelfee  Schreiben Sie einen Gästebucheintrag für Kuschelfee

Beiträge: 186
Registriert: 07.05.2007

Windows 10 Pro
AutoCAD 2022.1.3
Soficad 2022-4
Advance Steel 2022.1.3

erstellt am: 07. Jul. 2016 12:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cockpit 10 Unities + Antwort hilfreich

Um nun vielleicht doch den gewünschten Erfolg zu haben müsstest die viel mehr Abhängigkeiten festlegen.
z.B. Zusammenfallend/Feste Punkte und die Linie darf nicht bis Pfeilende laufen sondern der Pfeil muß ein eigenen strich haben.
Dann bekommst du es zwar hin das beim 1. Spiegeln der Pfeil richtig aussieht, verschiebst du aber deinen Text unterhalb deiner Pfeilspitze und spiegelst wieder ist die Pfeilspitze ggf. wieder Falschherum.
Ich selber hatte mich damit auch schon mal gequält. Immer wenn man dachte man hat es verhält sich nach x-mal einfügen des Blockes dieser auf einmal falsch.
Ich habe mir beholfen indem ich den Block ohne Pfeil erstellt habe und eine Lisp geschrieben die mich auffordert eine Führungslinie zu Zeichnen an deren Ende der Block eingefügt wird.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cockpit
Mitglied
Bauing.


Sehen Sie sich das Profil von cockpit an!   Senden Sie eine Private Message an cockpit  Schreiben Sie einen Gästebucheintrag für cockpit

Beiträge: 263
Registriert: 27.06.2008

Dell Precision T1700
Intel Core i7-4790 Core 3.60 GHz / 8 GB RAM
Grafikkarte: AMD FirePro W4100 (FireGl V)
Win 10 64 bit
Acad 2018 / Soficad 2018 20.1

erstellt am: 07. Jul. 2016 13:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke erstmal....
Ich habe mir schon gedacht, das sich bestimmte Sache irgendwie ausschließen...
drum nehme ich den Umkehrparameter raus und spiegel händisch, dann funktioniert der Block.

Zitat:
[/QUOTE]Ich habe mir beholfen indem ich den Block ohne Pfeil erstellt habe und eine Lisp geschrieben die mich auffordert eine Führungslinie zu Zeichnen an deren Ende der Block eingefügt wird.[QUOTE]

Kannst Du das Lisp und Block mal als Beispiel posten?
(Ist das Ergebnis dann verkettet)

LG Pit

[Diese Nachricht wurde von cockpit am 07. Jul. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kuschelfee
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Kuschelfee an!   Senden Sie eine Private Message an Kuschelfee  Schreiben Sie einen Gästebucheintrag für Kuschelfee

Beiträge: 186
Registriert: 07.05.2007

Windows 10 Pro
AutoCAD 2022.1.3
Soficad 2022-4
Advance Steel 2022.1.3

erstellt am: 07. Jul. 2016 13:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cockpit 10 Unities + Antwort hilfreich


schw.PNG

 
Hier mal der alte Code bei dem der Einfügepunkt noch manuell gepickt werden muss, mittlerweile bin ich dabei ihn zu verfeinern.

In meinem Block ist ich auch eine spiegeln Funktion, du solltest daran Denken das Schweißnahtblöcke nicht gespiegelt werden (Laut unserem SFI)
Hab mal ein Bild angehängt.


Zitat:
;****************************************************
;  MF-Schweißnaht von K. A. Kubat 06/2015
;  Beschriftung mit Multi-Führungslinien und Block in einem zuge
;  Aktueller Layer wird ermittelt neuer Layer erstellt/gesetzt
;  Multi-Führungslinien erstellte Block eingefügt Einstellungen
;  zurückgesetzt
;****************************************************
(defun c:MFSCHW ()
  (setvar "cmdecho" 0)
;Ausgabe aus
  (setq cdln (getvar "clayer"))
;Ermittelt aktuellen Layer
  (command "-layer" "M" "T__TEXT_SCHWEISSNAHT" "fa" "182" "" "")
;Erstellt einen neuen Layer
  (setq cmfs (getvar "cmleaderstyle"))
;ermittelte aktuellen Multi-Führungslinien Stil
  (command "cmleaderstyle" "pfeil 2.5")
;aktiviert Multi-Führungslinien Stil "pfeil 2.5"
  (setvar "cmdecho" 1)
;Ausgabe ein
  (while (> (getvar "CmdActive") 0) (command pause))
; Pause sonst wird der Befehl sofort ausgeführt
  (command "_mleader" "P")
;erstellt eine multiführungslinie
  (while (> (getvar "CmdActive") 0) (command pause))
; Pause sonst wird der Befehl sofort ausgeführt
  (setvar "attdia" 0)
  (command "Einfüge" "Schw_naht-Beschr" pause "1" "1" pause)
  (setvar "cmdecho" 0)
;Ausgabe ein
  (setvar "cmleaderstyle" cmfs)
;stellt vorherigen Multi-Führungslinien Stil wieder her
  (setvar "clayer" cdln)
;stellt vorherigen Layer wieder her
  (setvar "cmdecho" 1)
;Ausgabe ein
  (setvar "attdia" 1)
)

Die Multiführungslinie ist durch den verlängerungsstrich nicht so schön für das Block einfügen, da sobald man die Seite nachträglich wechselt der Startpunkt hüpf. Besser ist der einfach Führungsbefehl der Bemaßung.
Für einen Block mit Positions Nr. habe ich dies schon optimiert bei den Schweißsymbolen bin ich noch nicht ganz fertig.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cockpit
Mitglied
Bauing.


Sehen Sie sich das Profil von cockpit an!   Senden Sie eine Private Message an cockpit  Schreiben Sie einen Gästebucheintrag für cockpit

Beiträge: 263
Registriert: 27.06.2008

Dell Precision T1700
Intel Core i7-4790 Core 3.60 GHz / 8 GB RAM
Grafikkarte: AMD FirePro W4100 (FireGl V)
Win 10 64 bit
Acad 2018 / Soficad 2018 20.1

erstellt am: 07. Jul. 2016 14:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja danke für den Tipp (SFI; spiegeln) hatte ich glatt übersehen.
Also doch erstmal 2 Blöcke und dann schau ich mir deinen Lispausdruck näher an.

LG Pit

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz